Bug 1889782 - Missing closing quote when reporting the details of unindexed/paged search results
Summary: Missing closing quote when reporting the details of unindexed/paged search re...
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: 389-ds-base
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Simon Pichugin
QA Contact: RHDS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 14:42 UTC by Simon Pichugin
Modified: 2020-11-27 10:28 UTC (History)
8 users (show)

Fixed In Version: 389-ds-devel-1.4-8040020201105165416.866effaa
Doc Type: Bug Fix
Doc Text:
Cause: Doing an unindexed/paged search. Consequence: A closing quote is missing in access log details. Fix: Set the quote char pointer correctly. Result: The closing quote is properly displayed.
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 4295 None closed Missing closing quote when reporting the details of unindexed/paged search results 2020-11-24 15:33:37 UTC

Description Simon Pichugin 2020-10-20 14:42:05 UTC
Description of problem:
[29/Jul/2020:14:57:10.226812725 -0400] conn=30 op=21 RESULT err=0 tag=101 nentries=53 wtime=0.000055760 optime=0.029730103 etime=0.029783243 notes=U,P details="Partially Unindexed Filter,Paged Search pr_idx=0 pr_cookie=-1

The "details" keyword does not have a closing quote.

Version-Release number of selected component (if applicable):
389-ds-base-devel-1.4.3.12-1.fc32.x86

How reproducible:
Always

Steps to Reproduce:
1. Run a search with a simple paged result search.
2. Check access logs

Actual results:
'details' keyword doesn't have an ending quote.

Expected results:
'details' keyword should have an ending quote.

Comment 5 bsmejkal 2020-11-27 10:28:21 UTC
Build tested:
389-ds-base-1.4.3.16-3.module+el8.4.0+8869+55706461.x86_64

[26/Nov/2020:04:14:52.296304200 -0500] conn=1 op=1 RESULT err=0 tag=101 nentries=2 wtime=0.000398615 optime=0.002107818 etime=0.002502821 notes=U,P details="Partially Unindexed Filter,Paged Search" pr_idx=0 pr_cookie=0

'details' keyword has an ending quote. 
Marking as Verified:Tested.


Note You need to log in before you can comment on or make changes to this bug.